VST 3 SDK: ClassInfo Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
ClassInfo Class Reference

`#include <module.h>`

## Classes
struct | Data

## Public Types
using | SubCategories = std::vector<std::string>
using | PClassInfo = Steinberg::PClassInfo
using | PClassInfo2 = Steinberg::PClassInfo2
using | PClassInfoW = Steinberg::PClassInfoW

## Public Member Functions
| ClassInfo () noexcept
| ClassInfo (const PClassInfo &info) noexcept
| ClassInfo (const PClassInfo2 &info) noexcept
| ClassInfo (const PClassInfoW &info) noexcept
| ClassInfo (const ClassInfo &)=default
ClassInfo & | operator= (const ClassInfo &)=default
| ClassInfo (ClassInfo &&)=default
ClassInfo & | operator= (ClassInfo &&)=default
const UID & | ID () const noexcept
int32_t | cardinality () const noexcept
const std::string & | category () const noexcept
const std::string & | name () const noexcept
const std::string & | vendor () const noexcept
const std::string & | version () const noexcept
const std::string & | sdkVersion () const noexcept
const SubCategories & | subCategories () const noexcept
std::string | subCategoriesString () const noexcept
Steinberg::uint32 | classFlags () const noexcept
Data & | get () noexcept

## Member Typedef Documentation

## ◆ SubCategories

using SubCategories = std::vector<std::string>

## ◆ PClassInfo

using PClassInfo = Steinberg::PClassInfo

## ◆ PClassInfo2

using PClassInfo2 = Steinberg::PClassInfo2

## ◆ PClassInfoW

using PClassInfoW = Steinberg::PClassInfoW

## Constructor & Destructor Documentation

## ◆ ClassInfo() [1/6]

ClassInfo | ( |  | ) |
| inlinenoexcept

## ◆ ClassInfo() [2/6]

ClassInfo | ( | const PClassInfo & | info | ) |
| explicitnoexcept

## ◆ ClassInfo() [3/6]

ClassInfo | ( | const PClassInfo2 & | info | ) |
| explicitnoexcept

## ◆ ClassInfo() [4/6]

ClassInfo | ( | const PClassInfoW & | info | ) |
| explicitnoexcept

## ◆ ClassInfo() [5/6]

ClassInfo | ( | const ClassInfo & |  | ) |
| default

## ◆ ClassInfo() [6/6]

ClassInfo | ( | ClassInfo && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

ClassInfo & operator= | ( | const ClassInfo & |  | ) |
| default

## ◆ operator=() [2/2]

ClassInfo & operator= | ( | ClassInfo && |  | ) |
| default

## ◆ ID()

const UID & ID | ( |  | ) | const
| noexcept

## ◆ cardinality()

int32_t cardinality | ( |  | ) | const
| noexcept

## ◆ category()

const std::string & category | ( |  | ) | const
| noexcept

## ◆ name()

const std::string & name | ( |  | ) | const
| noexcept

## ◆ vendor()

const std::string & vendor | ( |  | ) | const
| noexcept

## ◆ version()

const std::string & version | ( |  | ) | const
| noexcept

## ◆ sdkVersion()

const std::string & sdkVersion | ( |  | ) | const
| noexcept

## ◆ subCategories()

const ClassInfo::SubCategories & subCategories | ( |  | ) | const
| noexcept

## ◆ subCategoriesString()

std::string subCategoriesString | ( |  | ) | const
| noexcept

## ◆ classFlags()

Steinberg::uint32 classFlags | ( |  | ) | const
| noexcept

## ◆ get()

Data & get | ( |  | ) |
| inlinenoexcept

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.